<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
	<title>MTJ - Adding Javadoc or Source links to WTK libraries</title>
	<link rel="stylesheet" href="docs.css" type="text/css">
</head>
<body>
<p class="PageTitle">Adding Javadoc or Source links to WTK libraries</p>
<p>
You can add Javadoc or source links
to libraries of a Wireless Toolkit (WTK).  This allows you to do source-level
debugging (assuming the WTK has been compiled with debug information) and to use
Eclipse's context-sensitive API help features.
</p>
<h1 id="javadoc">Attaching Source Or Javadoc to a WTK</h1>
<p>
In order to attach Javadoc to a WTK component, perform the following steps:
</p>
<ol>
<li>
Open the Device Management window by selecting <span class="menu">Preferences</span>
from the <span class="menu">Window</span> menu, expanding the 
<span class="keyword">Mobile Tools for Java</span> item in the left column, and click on the
<span class="keyword">Device Management</span> item.
</li>
<li>Choose the device that you want to add the source and/or Javadoc
attachment to and select the <span class="keyword">Edit...</span> button.
<span class="keyword"></li>
<li>Select the Javadoc or Source cell to go into edit mode.
<img src="img/attach.png" />
</li>
<li>Press the cell editor button to launch the appropriate editor dialog.
	<ul>
		<li>For source attachments, use the provided source attachment dialog.
		<br/><img src="img/attachSource.png" /></li>
		<li>For Javadoc attachments, use the provided Javadoc attachment dialog.
		<br/><img src="img/attachJavadoc.png" /></li>
	</ul>
</li>
</ol>
<p>
Note that not all Wireless Toolkits are distributed with the classes
in the JAR file compiled with debug information.  Thus, even though you
may have attached the source to the JAR file, you may still not be able
to step into the WTK source.
</p>
</body>
</html>
